﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//Make sure there is an Audio Source component on the GameObject
[RequireComponent(typeof(AudioSource))]

public class lifetime : MonoBehaviour
{
    public float TimeToLive;
    public float pitch;
    private float startingPitch;
    //private float timeToDecrease;
    AudioSource audioSource;

    private void Start()
    {
        // set the startingPitch of envelope
        pitch = Random.Range(0.5f, 1.0f);
        startingPitch = pitch;
        TimeToLive = pitch * 60; //set a time to live
        //Destroy(gameObject, TimeToLive);
        //timeToDecrease = TimeToLive;

        //Fetch the AudioSource from the GameObject
        audioSource = GetComponent<AudioSource>();

        //Initialize the pitch
        audioSource.pitch = startingPitch;
        
    }

    void Update()
    {
        //While the pitch is over 0, decrease it as time passes.
        if (audioSource.pitch > 0)
        {
            audioSource.pitch = startingPitch;
        }
        if (!audioSource.isPlaying)
        {
            Destroy(gameObject);
        }
    }

}

